aboutsummaryrefslogtreecommitdiffstats
path: root/community/perl-lingua-translit/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-08-25 14:48:29 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-08-25 14:48:29 +0000
commitd61a8e9ddda61df266ce68bf5a2ad6fd6ce2a061 (patch)
tree0af4cda76a117bc37663c8204d06346462e56a01 /community/perl-lingua-translit/APKBUILD
parente2c8e9abb4aeec6c51bf0132901c0e2047c0f520 (diff)
downloadaports-d61a8e9ddda61df266ce68bf5a2ad6fd6ce2a061.tar.gz
aports-d61a8e9ddda61df266ce68bf5a2ad6fd6ce2a061.tar.bz2
aports-d61a8e9ddda61df266ce68bf5a2ad6fd6ce2a061.tar.xz
community/perl-lingua-translit: moved from testing
Diffstat (limited to 'community/perl-lingua-translit/APKBUILD')
-rw-r--r--community/perl-lingua-translit/APKBUILD42
1 files changed, 42 insertions, 0 deletions
diff --git a/community/perl-lingua-translit/APKBUILD b/community/perl-lingua-translit/APKBUILD
new file mode 100644
index 0000000000..4b3da1cb7d
--- /dev/null
+++ b/community/perl-lingua-translit/APKBUILD
@@ -0,0 +1,42 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=perl-lingua-translit
+_pkgreal=Lingua-Translit
+pkgver=0.26
+pkgrel=0
+pkgdesc="transliterates text between writing systems"
+url="http://search.cpan.org/dist/Lingua-Translit/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=" "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/A/AL/ALINKE/$_pkgreal-$pkgver.tar.gz"
+builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ default_prepare || return 1
+
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ make && make test
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="fa13fd95053cafd590fef213477196d7 Lingua-Translit-0.26.tar.gz"
+sha256sums="2430b5c84927f15570533eb68c56958c580f16044fc413d48bf44f0460422598 Lingua-Translit-0.26.tar.gz"
+sha512sums="33db0a60d8f60328f958bfa9e313d985b54c79a4556e9a5dba695ac4afea7d1148a2b6225dbcc626b56214ba01e04ee53418b712e3d20738e84baa2287874f48 Lingua-Translit-0.26.tar.gz"